.slider-frame {
  width: 100%;
  max-width: 700px;
  height: auto;
  overflow: hidden;
  border-radius: 16px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  flex: 1;
}

.slider-frame ul {
  display: flex;
  padding: 0;
  margin: 0;
  width: 400%;
  animation: slide 16s infinite alternate ease-in-out;
}

.slider-frame li {
  list-style: none;
  width: 100%;
}

.slider-frame img {
  width: 100%;
  height: 450px;
  object-fit: cover;
  display: block;
  border-radius: 16px;
}

@keyframes slide {
  0% { margin-left: 0%; }
  20% { margin-left: 0%; }
  25% { margin-left: -100%; }
  45% { margin-left: -100%; }
  50% { margin-left: -200%; }
  70% { margin-left: -200%; }
  75% { margin-left: -300%; }
  95% { margin-left: -300%; }
}

@media screen and (max-width: 768px) {
  .slider-frame {
    max-width: 90%;
  }

  .slider-frame img {
    height: 250px;
  }
}


